summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-09-16 14:50:13 +0200
committer Eric Hameleers <alien@slackware.com>2015-09-16 14:50:13 +0200
commit9b8ec783bff036189ecd4ab4f890bb7ed8301cfa (patch)
treebbf6037aadfc76a65366ba864db7a81b18faaf70
parentbe91bcf624186fe15b58ba552c12de081e64c269 (diff)
downloadktown-9b8ec783bff036189ecd4ab4f890bb7ed8301cfa.tar.gz
ktown-9b8ec783bff036189ecd4ab4f890bb7ed8301cfa.tar.xz
deps: added grantlee-qt4 (requirement for kdevelop)
Basically this is Slackware's Qt4 based grantlee, stripped of all the bits that are alreay provided by the new Qt5 based grantlee package. Without this, kdevelop refuses to start because of missing libraries.
-rwxr-xr-xdeps/alldeps.SlackBuild1
-rwxr-xr-xdeps/grantlee-qt4/grantlee-qt4.SlackBuild109
-rw-r--r--deps/grantlee-qt4/slack-desc19
-rwxr-xr-xdeps/updates.SlackBuild1
4 files changed, 130 insertions, 0 deletions
diff --git a/deps/alldeps.SlackBuild b/deps/alldeps.SlackBuild
index 9ad55c9..9da673c 100755
--- a/deps/alldeps.SlackBuild
+++ b/deps/alldeps.SlackBuild
@@ -34,6 +34,7 @@ ALLDEPS=" \
polkit-qt-1 \
polkit-qt5-1 \
grantlee \
+ grantlee-qt4 \
wayland \
json-glib \
libdbusmenu-gtk \
diff --git a/deps/grantlee-qt4/grantlee-qt4.SlackBuild b/deps/grantlee-qt4/grantlee-qt4.SlackBuild
new file mode 100755
index 0000000..e8107c8
--- /dev/null
+++ b/deps/grantlee-qt4/grantlee-qt4.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Copyright 2010, 2011, 2015 Eric Hameleers, Eindhoven, NL
+# Copyright 2010, 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=grantlee-qt4
+SRCNAM=grantlee
+VERSION=${VERSION:-0.5.1}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+cd $SRCNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Make sure this package does not clash with Qt5 based grantlee:
+sed -i CMakeLists.txt \
+ -e 's|INCLUDE_INSTALL_DIR include|INCLUDE_INSTALL_DIR include/grantlee-qt4|'
+
+mkdir -p build
+cd build
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt \
+ PATH=$QTDIR/bin:$PATH \
+ cmake \
+ $KDE_OPT_ARGS \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a AUTHORS CHANGELOG COPYING* GOALS README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/grantlee-qt4/slack-desc b/deps/grantlee-qt4/slack-desc
new file mode 100644
index 0000000..beb6266
--- /dev/null
+++ b/deps/grantlee-qt4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+grantlee-qt4: grantlee-qt4 (string template engine for Qt4)
+grantlee-qt4:
+grantlee-qt4: Grantlee is a plugin based String Template system written using the
+grantlee-qt4: Qt4 framework. The goals of the project are to make it easier for
+grantlee-qt4: application developers to separate the structure of documents from
+grantlee-qt4: the data they contain, opening the door for theming.
+grantlee-qt4:
+grantlee-qt4:
+grantlee-qt4:
+grantlee-qt4: Homepage: http://gitorious.org/grantlee/
+grantlee-qt4:
diff --git a/deps/updates.SlackBuild b/deps/updates.SlackBuild
index a672551..f379cea 100755
--- a/deps/updates.SlackBuild
+++ b/deps/updates.SlackBuild
@@ -30,6 +30,7 @@ ALLDEPS=" \
PyQt5 \
polkit-qt5-1 \
grantlee \
+ grantlee-qt4 \
wayland \
json-glib \
libdbusmenu-gtk \